Bug 1393204 - Remove 'HA_VOL_SERVER' from ganesha-ha.conf.
Summary: Remove 'HA_VOL_SERVER' from ganesha-ha.conf.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-09 05:37 UTC by Arthy Loganathan
Modified: 2017-03-07 17:46 UTC (History)
6 users (show)

Fixed In Version: gdeploy-2.0.1-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
sample ganesha-ha.conf file (776 bytes, text/plain)
2016-11-09 05:38 UTC, Arthy Loganathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description Arthy Loganathan 2016-11-09 05:37:18 UTC
Description of problem:
'HA_VOL_SERVER' has been removed from ganesha-ha.conf in the nfs-ganesha build
nfs-ganesha-2.4.1-1.el7rhgs.x86_64. So, we have to do changes in gdeploy to remove 'HA_VOL_SERVER' from ganesha-ha.conf.

There was a bug raised and fixed in nfs-ganesha for the same - https://bugzilla.redhat.com/show_bug.cgi?id=1348954

Version-Release number of selected component (if applicable):
gdeploy-2.0.1-3.el7rhgs.noarch

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Sample ganesha-ha.conf is attached.

Comment 2 Arthy Loganathan 2016-11-09 05:38:19 UTC
Created attachment 1218819 [details]
sample ganesha-ha.conf file

Comment 3 Sachidananda Urs 2016-11-10 07:36:15 UTC
https://github.com/gluster/gdeploy/commit/6c4a803201fe4cebb76c294187f57 fixes the issue.

Comment 7 Arthy Loganathan 2016-11-21 12:10:35 UTC
Verified the fix in build,

gdeploy-2.0.1-4.el7rhgs.noarch

Comment 9 errata-xmlrpc 2017-02-07 11:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.